Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 126693 - nxssh 1.5.0 doesn't compile
Summary: nxssh 1.5.0 doesn't compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-18 10:31 UTC by Timo Nentwig
Modified: 2007-04-26 09:20 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Nentwig 2006-03-18 10:31:02 UTC
gcc -o nxssh ssh.o readconf.o clientloop.o sshtty.o sshconnect.o sshconnect1.o sshconnect2.o proxy.o -L. -Lopenbsd-compat/
 -L/usr/NX/lib -lssh -lopenbsd-compat -lresolv -lcrypto -lutil -lz -lnsl -lcrypt -L../nxcomp -lXcomp
clientloop.o: In function `client_wait_until_can_do_something':
clientloop.c:(.text+0x5ca): undefined reference to `NXTransRunning'
clientloop.c:(.text+0x606): undefined reference to `NXTransPrepare'
clientloop.c:(.text+0x659): undefined reference to `NXTransSelect'
clientloop.c:(.text+0x685): undefined reference to `NXTransExecute'
proxy.o: In function `nx_close_proxy_connection':
proxy.c:(.text+0xd34): undefined reference to `NXTransRunning'
proxy.c:(.text+0xd50): undefined reference to `NXTransContinue'
proxy.o: In function `nx_open_internal_proxy_connection':
proxy.c:(.text+0xe1b): undefined reference to `NXTransCreate'
proxy.o: In function `nx_run_client_side_loop':
proxy.c:(.text+0x1611): undefined reference to `NXTransRunning'
proxy.c:(.text+0x162d): undefined reference to `NXTransContinue'
collect2: ld returned 1 exit status
make: *** [nxssh] Error 1
Comment 1 Jon 2006-04-02 17:48:28 UTC
Hi,

What arch are you using? Can you post your emerge info? Have you been able to resolve this yet?
Comment 2 Timo Nentwig 2006-04-03 10:48:35 UTC
No, I've not yet been able to resolve it. I'm on amd64 but try to build it in a 32-bit chroot.

# emerge --info
Portage 2.0.54 (default-linux/x86/2005.1, gcc-3.3.6, glibc-2.3.5-r2, 2.6.15-reiser4-r1-tcn i686)
=================================================================
System uname: 2.6.15-reiser4-r1-tcn i686
Gentoo Base System version 1.6.14
dev-lang/python:     2.3.5-r2, 2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X alsa apm arts audiofile avi berkdb bitmap-fonts bzip2 crypt cups dri eds emboss encode expat foomaticdb fortran gdbm gif gnome gpm gstreamer gtk gtk2 imlib ipv6 jpeg kde lcms libg++ libwww mad mikmod mng motif mp3 mpeg ncurses nls ogg oggvorbis opengl oss pam pdflib perl png python qt quicktime readline sdl spell ssl tcltk tcpd tiff truetype truetype-fonts type1-fonts udev vorbis xml2 xmms xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTDIR_OVERLAY
Comment 3 Jon 2006-04-16 06:52:01 UTC
Only nx-x11 needs to be compiled in a 32bit chroot. The other packages compile fine, so a binary package of nx-x11 will be provided in portage, so AMD64 users can use that and everything else compile fine. No more need to set up a 32 bit chroot.:) This is in the overlay, if you want to check it out. See this bugg for more info:
http://bugs.gentoo.org/show_bug.cgi?id=101691

Cheers
Comment 4 Conrad 2006-05-29 07:09:01 UTC
I'm getting a similar error on ~x86, just my output looks more verbose.

clientloop.o: In function `client_loop':
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/clientloop.c:488: undefined reference to `NXTransRunning'
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/clientloop.c:518: undefined reference to `NXTransPrepare'
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/clientloop.c:530: undefined reference to `NXTransSelect'
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/clientloop.c:537: undefined reference to `NXTransExecute'
proxy.o: In function `nx_close_proxy_connection':
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/proxy.c:830: undefined reference to `NXTransContinue'
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/proxy.c:830: undefined reference to `NXTransRunning'
proxy.o: In function `nx_run_client_side_loop':
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/proxy.c:1623: undefined reference to `NXTransContinue'
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/proxy.c:1623: undefined reference to `NXTransRunning'
proxy.o: In function `nx_switch_client_side_descriptors':
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/proxy.c:1623: undefined reference to `NXTransContinue'
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/proxy.c:1623: undefined reference to `NXTransRunning'
proxy.o: In function `nx_open_internal_proxy_connection':
/var/tmp/portage/nxssh-1.5.0-r2/work/nxssh/proxy.c:915: undefined reference to `NXTransCreate'
collect2: ld returned 1 exit status
make: *** [nxssh] Error 1

# emerge --info
Portage 2.1_rc3 (default-linux/x86/2006.0, gcc-3.4.6, glibc-2.4-r3, 2.6.16-gentoo-r6 i686)
=================================================================
System uname: 2.6.16-gentoo-r6 i686 AMD Athlon XP-M
Gentoo Base System version 1.12.0
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5-r2, 2.4.3-r1
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r1
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.18.1
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r5
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/NX/etc /usr/NX/home /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/fluidportage/trunk /usr/local/xgl-coffee"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X a52 aac aalib alsa apache2 apm avi bash-completion beagle berkdb bitmap-fonts bzip2 cairo cdr cli crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo ffmpeg firefox flac foomaticdb fortran freetype gdbm gif glitz gnome gpm gstreamer gtk gtk2 hal imlib ipv6 isdnlog java jpeg kde ldap libg++ libwww mad matroska mikmod mmx mmx2 mmxext mono motif mp3 mpeg ncurses network nfs nls nptl nptlonly offensive ogg oggvorbis opengl oss pam pcre pda pdflib perl pic png ppds pppd python qt quicktime readline reflection ruby samba sdl session spell spl sse ssl svg tcpd theora threads tiff truetype truetype-fonts type1-fonts udev unicode vorbis win32codecs wxwindows xcomposite xml xmms xorg xv xvid zlib elibc_glibc input_devices_keyboard input_devices_mouse kernel_linux userland_GNU video_cards_vesa video_cards_fbdev video_cards_nvidia video_cards_nv"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 5 Bernard Cafarelli gentoo-dev 2007-04-26 09:20:59 UTC
nxssh (and other NX split packages) have been removed from the tree in favor of net-misc/nx, so fixed!